<div class="loginPage register">
  <mat-card>
    <mat-card-header>
      <img src="../assets/images/logo.jpeg" />
    </mat-card-header>
    <mat-card-content>
      <div *ngIf="newUserCreated()">
        <div class="title bigTitle">
          <div>
            New account for <u>{{ userEmail }}</u> user was created.
          </div>
          <div>Check your email and verify your account :-)</div>
        </div>
        <div class="button">
          <button (click)="login()" mat-raised-button color="primary">
            Go to login page
          </button>
        </div>
      </div>
      <div *ngIf="initialFormState()">
        <form [formGroup]="registerForm">
          <div class="row flexRow">
            <div>
              <mat-form-field class="example-full-width">
                <mat-label>First name</mat-label>
                <input
                  matInput
                  [formControl]="firstNameFormControl"
                  placeholder="Enter your first name"
                />
                <mat-error *ngIf="firstNameFormControl.hasError('required')">
                  First name is <strong>required</strong>
                </mat-error>
              </mat-form-field>
            </div>
            <div>
              <mat-form-field class="example-full-width">
                <mat-label>Last name</mat-label>
                <input
                  matInput
                  [formControl]="lastNameFormControl"
                  placeholder="Enter your last name"
                />
                <mat-error *ngIf="lastNameFormControl.hasError('required')">
                  Last name is <strong>required</strong>
                </mat-error>
              </mat-form-field>
            </div>
          </div>
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Email</mat-label>
              <input
                matInput
                [formControl]="emailFormControl"
                placeholder="Ex. pat@example.com"
              />
              <mat-error
                *ngIf="
                  emailFormControl.hasError('email') &&
                  !emailFormControl.hasError('required')
                "
              >
                Please enter a valid email address
              </mat-error>
              <mat-error *ngIf="emailFormControl.hasError('required')">
                Email is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Password</mat-label>
              <input
                type="password"
                matInput
                [formControl]="passwordFormControl"
                placeholder="Enter your password"
              />
              <mat-error *ngIf="passwordFormControl.hasError('required')">
                Password is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="row">
            <mat-form-field class="example-full-width">
              <mat-label>Password confirm</mat-label>
              <input
                type="password"
                matInput
                [formControl]="passwordConfirmFormControl"
                placeholder="Confirm your password"
              />
              <mat-error
                *ngIf="
                  registerForm.hasError('notMatch') &&
                  !passwordConfirmFormControl.hasError('required')
                "
              >
                Passwords do not match
              </mat-error>
              <mat-error
                *ngIf="passwordConfirmFormControl.hasError('required')"
              >
                Password is <strong>required</strong>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="button">
            <button
              (click)="signUp()"
              mat-raised-button
              color="primary"
              [disabled]="!registerForm.valid"
            >
              Sign up
            </button>
          </div>
        </form>
        <div class="additionalLink">
          Already have an account?
          <button (click)="login()" mat-button color="primary">
            Go to login page
          </button>
        </div>
      </div>
    </mat-card-content>
  </mat-card>
</div>
